Skip to main content

Get campaign traffic report by campaign and job, for date range

GET 
/v1/stats

Gets a link to a detailed report. You can request detailed job-level reports on a daily basis only. However, you can reuse report IDs. When you use the same report ID, the API returns updated data as it becomes available. This approach reduces the number of calls required because you do not need to generate a report ID if you already one for that day.

A successful request returns HTTP 202 ACCEPTED status code and a Location header that contains the path to the CSV-formatted report. The path to the report uses the GET /v1/stats/{reportId} resource. For more information, see this resource.

When calling this API with an access token that represents an employer, the access token must have the employer.advertising.campaign_report.read scope. The report URL is available under the location property of the response object.

OAuth scopeAccess token type
employer.advertising.campaign_report.read

Access token that represents an employer. See Get access token that represents employer.

Request

Query Parameters

    startDate daterequired

    Start date of the campaign traffic report, inclusive, in YYYY-MM-DD format.

    endDate daterequired

    End date of the campaign traffic report, exclusive, in YYYY-MM-DD format. This must be exactly one day after the start date.

    v string

    Possible values: [1, 5, 6, 7, 8]

    Default value: 1

    Report version.
    1 - Legacy version 1.
    5 - Report version. Contains the Campaign ID and Organic Metric columns.
    6 - Preferred report version. Contains the Campaign ID, Organic Metric, and ApplyStarts columns.
    7 - Preferred report version. Contains the Campaign ID, Organic Metric, ApplyStarts, and Organic Conversions columns.
    8 - Preferred report version. Contains the Campaign ID, Organic Metric, ApplyStarts, Organic Conversions, Employer Job ID (IRI), and Employer Job ID (UUID) columns.

Responses

Accepted

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Any errors that prevented successful processing of the request. If there were no errors, the value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.
    • next: The next page of entries in a paginated result.
    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    location string
Loading...

Was this page helpful?